Foundation

# Standard

## Operators

($)

($!)

(&&)

(||)

(.)

## Functions

not

otherwise

data Tuple2 a b

data Tuple3 a b c

data Tuple4 a b c d

class Fstable a

class Sndable a

class Thdable a

id

maybe

either

flip

const

error

putStr

putStrLn

getArgs

uncurry

curry

swap

until

asTypeOf

undefined

seq

class NormalForm a

deepseq

force

## Type classes

class Show a

show

class Ord a

class Eq a

class Bounded a

class Enum a

class Functor f

class Integral a

class Fractional a

class HasNegation a

class Bifunctor p

class Applicative f

class Monad m

(=<<)

class IsString a

class IsList l

## Numeric type classes

class IsIntegral a

class IsNatural a

class Signed a

class Additive a

class Subtractive a

class Multiplicative a

class IDivisible a

class Divisible a

## Data types

data Maybe a

data Ordering

data Bool

data Char

data Char7

data IO a

data Either a b

## Numbers

data Int8

data Int16

data Int32

data Int64

data Word8

data Word16

data Word32

data Word64

data Word

data Word128

data Word256

data Int

data Integer

data Natural

type Rational

data Float

data Double

data CountOf ty

data Offset ty

toCount

fromCount

## Collection types

data UArray ty

class PrimType ty

data Array a

data String

## Numeric functions

(^^)

fromIntegral

realToFrac

## Monoids

class Semigroup a

class Monoid a

(<>)

## Collection

class Collection c

and

or

class Sequential c

data NonEmpty a

nonEmpty

## Folds

class Foldable collection

## Maybe

mapMaybe

catMaybes

fromMaybe

isJust

isNothing

listToMaybe

maybeToList

## Either

partitionEithers

lefts

rights

## Function

on

## Applicative

(<$>)

(<|>)

## Monad

(>=>)

## Exceptions

class Exception e

class Typeable k a

data SomeException

data IOException

## Proxy

data Proxy k t

asProxyTypeOf

## Partial

data Partial a

partial

data PartialError

fromPartial

ifThenElse

## Old Prelude Strings as [Char] with bridge back and forth

type LString